/*
 * CampoMayorFechaActual.java
 *
 * Created on 9 de abril de 2007, 02:21 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Julian
 */
public class CampoMayorFechaActual extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public CampoMayorFechaActual() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		Date dateOtra = Calendar.getInstance().getTime();
		if (field.length() != 10) {
			return false;
		}
		Date dateCampo = null;
		if (!ValidarFecha.esFecha(field))
			return false;
		try {
			dateCampo = sdf.parse(field);

		} catch (Exception e) {
			return false;
		}

		if (  !"MSPS01".equals(nombreArchivo.substring(2, 8)) && dateCampo.after(dateOtra) ) {
			return true;
		}
                
		return false;
	}
}
